# Generated by Django 2.2.16 on 2021-09-10 11:28

from django.db import migrations, models
import utils.files
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='NotificationConfiguration',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False, unique=True)),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True, verbose_name='Создано')),
                ('updated_at', models.DateTimeField(auto_now=True, null=True, verbose_name='Обновлено')),
                ('is_active', models.BooleanField(default=True)),
                ('title', models.TextField(blank=True, null=True)),
                ('description', models.TextField(blank=True, null=True)),
                ('audio', models.FileField(blank=True, null=True, upload_to=utils.files.SetUploadPath('notification/audio'))),
                ('thumbnail', models.FileField(blank=True, null=True, upload_to=utils.files.SetUploadPath('notification/thumbnails'))),
                ('event_type', models.CharField(max_length=255)),
            ],
            options={
                'verbose_name': 'Настройка уведомления',
                'verbose_name_plural': 'Настройка уведомления',
            },
        ),
    ]
